com.aliyun.svideosdk.common.struct.effect

## Class ActionTranslate

- java.lang.Object
- - <any>
  - - com.aliyun.svideosdk.common.struct.effect.ActionTranslate

-     public class ActionTranslate
      extends <any>

  A class that defines translational motions.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ActionTranslate.TranslateType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `mFromPointX` The x coordinate of the start point.
    `protected float` | `mFromPointY` The y coordinate of the start point.
    `protected float` | `mToPointX` The x coordinate of the end point.
    `protected float` | `mToPointY` The y coordinate of the end point.
    `protected int` | `mTranslateType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionTranslate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFromPointX()` Gets the x coordinate of the start point of the motion.
    `float` | `getFromPointY()` Gets the y coordinate of the start point of the motion.
    `float` | `getToPointX()` Gets the x coordinate of the end point of the motion.
    `float` | `getToPointY()` Gets the y coordinate of the end point of the motion.
    `void` | `setFromPointX(float mFromPointX)` Sets the x coordinate of the start point.
    `void` | `setFromPointY(float mFromPointY)` Sets the y coordinate of the start point.
    `void` | `setToPointX(float mToPointX)` Sets the x coordinate of the end point.
    `void` | `setToPointY(float mToPointY)` Sets the y coordinate of the end point.
    `void` | `setTranslateType(ActionTranslate.TranslateType aTranslateType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mFromPointX

          protected float mFromPointX

      The x coordinate of the start point. In OpenGL coordinate system, point (0, 0) is at the center of the screen and the anchor point is (0.5, 0.5).

    - #### mFromPointY

          protected float mFromPointY

      The y coordinate of the start point.

    - #### mToPointX

          protected float mToPointX

      The x coordinate of the end point.

    - #### mToPointY

          protected float mToPointY

      The y coordinate of the end point.

    - #### mTranslateType

          protected int mTranslateType

  - ### Constructor Detail

    - #### ActionTranslate

          public ActionTranslate()

  - ### Method Detail

    - #### getFromPointX

          public float getFromPointX()

      Gets the x coordinate of the start point of the motion.
      Returns:
        The x coordinate of the start point.

    - #### setFromPointX

          public void setFromPointX(float mFromPointX)

      Sets the x coordinate of the start point. coordinates of screen between -1 to 1
      Parameters:
        `mFromPointX` -

    - #### getFromPointY

          public float getFromPointY()

      Gets the y coordinate of the start point of the motion.
      Returns:
        The y coordinate of the start point.

    - #### setFromPointY

          public void setFromPointY(float mFromPointY)

      Sets the y coordinate of the start point. coordinates of screen between -1 to 1
      Parameters:
        `mFromPointY` -

    - #### getToPointX

          public float getToPointX()

      Gets the x coordinate of the end point of the motion.
      Returns:
        The x coordinate of the end point.

    - #### setToPointX

          public void setToPointX(float mToPointX)

      Sets the x coordinate of the end point. coordinates of screen between -1 to 1
      Parameters:
        `mToPointX` -

    - #### getToPointY

          public float getToPointY()

      Gets the y coordinate of the end point of the motion. 屏幕坐标点-1到1
      Returns:
        The y coordinate of the end point.

    - #### setToPointY

          public void setToPointY(float mToPointY)

      Sets the y coordinate of the end point. coordinates of screen between -1 to 1
      Parameters:
        `mToPointY` -

    - #### setTranslateType

          public void setTranslateType(ActionTranslate.TranslateType aTranslateType)